%global __brp_check_rpaths %{nil}
%global packname  extlasso
%global packver   0.3
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.3
Release:          1%{?dist}%{?buildtag}
Summary:          Maximum Penalized Likelihood Estimation with Extended Lasso Penalty

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.1.1
Requires:         R-core >= 3.1.1
BuildArch:        noarch

%description
Estimates coefficients of extended LASSO penalized linear regression and
generalized linear models. Currently lasso and elastic net penalized
linear regression and generalized linear models are considered. This
package currently utilizes an accurate approximation of L1 penalty and
then a modified Jacobi algorithm to estimate the coefficients. There is
provision for plotting of the solutions and predictions of coefficients at
given values of lambda. This package also contains functions for cross
validation to select a suitable lambda value given the data. Also provides
a function for estimation in fused lasso penalized linear regression. For
more details, see Mandal, B. N.(2014). Computational methods for L1
penalized GLM model fitting, unpublished report submitted to Macquarie
University, NSW, Australia.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
